Subject: Re: [6lo] Comments on draft-ietf-6lo-btle-00

From: <[email-masked]>
Date: Mon, 7 Apr 2014 10:25:31 +0000

Dave,

Returning to this point:

>>> As described in the
>>> Section 3.2 the master will not forward link-local multicast messages 
>>> to other slaves connected to the master.
>>This is unclear. Is the link presented to IP as a multicast-capable 
>>interface or not?  If not, then "link-local" doesn't belong in the 
>>quote and of course a bunch of protocols just won't work (just like they don't work on any other NBMA link).
>>It seems odd to say that it will forward multicast messages of scopes 
>>greater than link local, but not forward link-local ones.
>The text indeed seems to be confusing. I think the master should not forward multicast of greater scopes either...
>The IP link-local multicasting is actually a topic I could discuss further with my coauthors and also take to BT SIG discussions - to >gauge views in there (e.g. on service discovery on top of IP...).

After some (but not very many discussions) it seems that it might be wisest to change this to allow multicast (link-local and so forth) in order to allow e.g. IP-based service discovery protocols to operate.

I think it goes without saying that in order to conserve batteries, it would be important to minimize unwanted multicast traffic sent to constrained nodes. Do you think if any text on that regard should be added herein? E.g. about MLD snooping?

Best regards,

Teemu

---

From: Dave Thaler <[email-masked]>
Date: Mon, 7 Apr 2014 13:46:37 +0000

Yes I think it should mention MLD snooping as either a MUST or a SHOULD.

Sent from my Windows Phone
________________________________
From: Savolainen Teemu (Nokia-CTO/Tampere)<mailto:[email-masked]>
Sent: ‎4/‎7/‎2014 6:25 AM
To: Dave Thaler<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: RE: Comments on draft-ietf-6lo-btle-00

Dave,

Best regards,

Teemu

---

From: "Timothy J. Salo" <[email-masked]>
Date: Mon, 07 Apr 2014 09:33:40 -0500

> or not?  If not, then "link-local" doesn't belong in the quote and of
> course a bunch of protocols just won't work
> (just like they don't work on any other NBMA link).

Typically some sort of multicast/broadcast emulation has been provided
for NBMA links.  For ATM, RFC 2684 specified a multicast address
resolution server (MARS), which could be used in conjunction with
a multicast server, while the ATM Forum's LAN Emulation included
a multicast/broadcast emulation service.

I don't recall that a multicast emulation service was provided for
frame relay, but frame relay was largely used as an inexpensive
replacement for point-to-point leased lines, not as a LAN.

I have, somewhat tongue-in-cheek, called this the IETF's "make
everything look like an Ethernet strategy".  Well, I thought it
was a joke, until someone proposed this for manets.  In all
fairness, I believe this was proposed by a netconf person, not
a manet person.  But, perhaps the lesson is that much of the
IETF doesn't really think much about non-tradition media and
networks.

-tjs